/// <reference path="../../../../src/@types/@kano/common/index.d.ts" />
export interface ICallDescription {
    method: string;
    args: any[];
}
export declare class Instrument {
    private fullPath;
    private root;
    private method;
    private methodParent?;
    private methodName?;
    private originalFunc?;
    private _onDidMethodCall;
    readonly onDidMethodCall: import("@kano/common/index.js").IEvent<ICallDescription>;
    constructor(fullPath: string, root: any, method: string);
    setup(): void;
    callMethod(originalFunc?: Function): (...args: any[]) => any;
    dispose(): void;
}
